POST api/Units/CurrentState?includeBatteryPercent={includeBatteryPercent}
Returns a list of current states for a list of units. Note that this is a POST request with body params
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| includeBatteryPercent |
(optional) Include unit batteryPercent. Makes the request slower, include if the information is required. |
boolean |
Default value is False |
Body Parameters
an array of serialnumbers, must be put in the request body
Collection of stringRequest Formats
application/json, text/json
[ "sample string 1", "sample string 2" ]
application/xml, text/xml
<ArrayOfstring xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays"> <string>sample string 1</string> <string>sample string 2</string> </ArrayOfstring>
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
Returns a list of current states for a list of units. Note that this is a POST request with body params
Collection of UnitCurrentStateModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Suspended |
Access to this tracker's data has been suspended. All other datapoints will be null or meaningless. |
boolean |
None. |
| ReadyForActivation |
Tracker is ready to be activated by magnet or otherwise |
boolean |
None. |
| Active |
Tracker is functioning as expected |
boolean |
None. |
| NoCommunication |
Tracker has missed 5 consecutive scheduled transmissions, and it is more than 5 days since we last received communication from the tracker |
boolean |
None. |
| LowBattery |
Tracker is estimated to have less than 15% battery left |
boolean |
None. |
| NeedsInspection |
Tracker has NextInspectionDate set, and it is overdue |
boolean |
None. |
| HasRecentAlarm |
Tracker has alarm events in the last 24 hours |
boolean |
None. |
| BatteryPercent |
The tracker's current estimated BatteryPercent |
integer32 |
None. |
| NextInspectionDate | date |
None. |
|
| RecentAlarmsCount |
Tracker of alarm events in the last 24 hours |
integer32 |
None. |
| SerialNumber |
Read Only |
string |
Required |
| UserGroupId | integer32 |
None. |
|
| ReferenceId | string |
None. |
|
| Name | string |
None. |
|
| ItemDescription | string |
None. |
|
| LastModified |
UTC time of last modification |
date |
None. |
Response Formats
application/json, text/json
[
{
"Suspended": true,
"ReadyForActivation": true,
"Active": true,
"NoCommunication": true,
"LowBattery": true,
"NeedsInspection": true,
"HasRecentAlarm": true,
"BatteryPercent": 8,
"NextInspectionDate": "2026-06-30T09:17:48.8088915+00:00",
"RecentAlarmsCount": 9,
"SerialNumber": "sample string 10",
"UserGroupId": 11,
"ReferenceId": "sample string 12",
"Name": "sample string 13",
"ItemDescription": "sample string 14",
"LastModified": "2026-06-30T09:17:48.8088915+00:00"
},
{
"Suspended": true,
"ReadyForActivation": true,
"Active": true,
"NoCommunication": true,
"LowBattery": true,
"NeedsInspection": true,
"HasRecentAlarm": true,
"BatteryPercent": 8,
"NextInspectionDate": "2026-06-30T09:17:48.8088915+00:00",
"RecentAlarmsCount": 9,
"SerialNumber": "sample string 10",
"UserGroupId": 11,
"ReferenceId": "sample string 12",
"Name": "sample string 13",
"ItemDescription": "sample string 14",
"LastModified": "2026-06-30T09:17:48.8088915+00:00"
}
]
application/xml, text/xml
<ArrayOfUnitCurrentStateModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/WebAPI.Models">
<UnitCurrentStateModel>
<ItemDescription>sample string 14</ItemDescription>
<LastModified>2026-06-30T09:17:48.8088915+00:00</LastModified>
<Name>sample string 13</Name>
<ReferenceId>sample string 12</ReferenceId>
<SerialNumber>sample string 10</SerialNumber>
<UserGroupId>11</UserGroupId>
<Active>true</Active>
<BatteryPercent>8</BatteryPercent>
<HasRecentAlarm>true</HasRecentAlarm>
<LowBattery>true</LowBattery>
<NeedsInspection>true</NeedsInspection>
<NextInspectionDate>2026-06-30T09:17:48.8088915+00:00</NextInspectionDate>
<NoCommunication>true</NoCommunication>
<ReadyForActivation>true</ReadyForActivation>
<RecentAlarmsCount>9</RecentAlarmsCount>
<Suspended>true</Suspended>
</UnitCurrentStateModel>
<UnitCurrentStateModel>
<ItemDescription>sample string 14</ItemDescription>
<LastModified>2026-06-30T09:17:48.8088915+00:00</LastModified>
<Name>sample string 13</Name>
<ReferenceId>sample string 12</ReferenceId>
<SerialNumber>sample string 10</SerialNumber>
<UserGroupId>11</UserGroupId>
<Active>true</Active>
<BatteryPercent>8</BatteryPercent>
<HasRecentAlarm>true</HasRecentAlarm>
<LowBattery>true</LowBattery>
<NeedsInspection>true</NeedsInspection>
<NextInspectionDate>2026-06-30T09:17:48.8088915+00:00</NextInspectionDate>
<NoCommunication>true</NoCommunication>
<ReadyForActivation>true</ReadyForActivation>
<RecentAlarmsCount>9</RecentAlarmsCount>
<Suspended>true</Suspended>
</UnitCurrentStateModel>
</ArrayOfUnitCurrentStateModel>